package com.e6yun.project.sdk.api.pojo.basevo.logistics;

import com.google.common.base.MoreObjects;

/**
 * @Description
 * @Author ningkun@e6yun.com
 * @Created Date: 2021/7/8 11:44
 * @ClassName PBillVO
 * @Remark
 */
public class PBill {
    /**
     * 加油编码（唯一）
     */
    private String billno;
    /*
     * //加油编码（唯一）
     **/
    private String drivercode;
    /**
     * 加油编码（唯一）
     */
    private String corpcode;
    /**
     * //加油站名称
     */
    private String gasstation;
    /**
     * //油品代码,1为92，2为95，3为柴油
     */
    private String oilid;
    /**
     * //枪号
     */
    private String gunno;
    /**
     *  //默认当前时间，时间格式为yyyy-MM-dd HH:mm:ss
     */
    private String addtime;
    /**
     * //油站挂牌价 元/L小数点后两位，精确到分
     */
    private String standardprice;
    /**
     * //支付单价 元/L小数点后两位，精确到分
     */
    private String payprice;
    /**
     * //加油量 单位L小数点后两位
     */
    private String volume;
    /**
     * //小数点后两位，精确到分
     */
    private String money;
    /**
     * 司机支付单价 元/L小数点后两位，精确到分
     */
    private String driverpayprice;
    /**
     * //司机支付金额小数点后两位，精确到分
     */
    private String driverpaymoney;
    /**
     * //国家标准油价 元/L小数点后两位，精确到分
     */
    private String nationalstandardprice;
    /**
     * 支付账户类型：10-借款账户，20-充值账户
     */
    private String paytype;
    /**
     *备注
     */
    private String remark;

    /**
     * 油站地址
     */
    private String stationAddr;

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("billno", billno)
                .add("drivercode", drivercode)
                .add("corpcode", corpcode)
                .add("gasstation", gasstation)
                .add("oilid", oilid)
                .add("gunno", gunno)
                .add("addtime", addtime)
                .add("standardprice", standardprice)
                .add("payprice", payprice)
                .add("volume", volume)
                .add("money", money)
                .add("driverpayprice", driverpayprice)
                .add("driverpaymoney", driverpaymoney)
                .add("nationalstandardprice", nationalstandardprice)
                .add("paytype", paytype)
                .add("remark", remark)
                .add("stationAddr", stationAddr)
                .toString();
    }

    public String getBillno() {
        return billno;
    }

    public void setBillno(String billno) {
        this.billno = billno;
    }

    public String getDrivercode() {
        return drivercode;
    }

    public void setDrivercode(String drivercode) {
        this.drivercode = drivercode;
    }

    public String getCorpcode() {
        return corpcode;
    }

    public void setCorpcode(String corpcode) {
        this.corpcode = corpcode;
    }

    public String getGasstation() {
        return gasstation;
    }

    public void setGasstation(String gasstation) {
        this.gasstation = gasstation;
    }

    public String getOilid() {
        return oilid;
    }

    public void setOilid(String oilid) {
        this.oilid = oilid;
    }

    public String getGunno() {
        return gunno;
    }

    public void setGunno(String gunno) {
        this.gunno = gunno;
    }

    public String getAddtime() {
        return addtime;
    }

    public void setAddtime(String addtime) {
        this.addtime = addtime;
    }

    public String getStandardprice() {
        return standardprice;
    }

    public void setStandardprice(String standardprice) {
        this.standardprice = standardprice;
    }

    public String getPayprice() {
        return payprice;
    }

    public void setPayprice(String payprice) {
        this.payprice = payprice;
    }

    public String getVolume() {
        return volume;
    }

    public void setVolume(String volume) {
        this.volume = volume;
    }

    public String getMoney() {
        return money;
    }

    public void setMoney(String money) {
        this.money = money;
    }

    public String getDriverpayprice() {
        return driverpayprice;
    }

    public void setDriverpayprice(String driverpayprice) {
        this.driverpayprice = driverpayprice;
    }

    public String getDriverpaymoney() {
        return driverpaymoney;
    }

    public void setDriverpaymoney(String driverpaymoney) {
        this.driverpaymoney = driverpaymoney;
    }

    public String getNationalstandardprice() {
        return nationalstandardprice;
    }

    public void setNationalstandardprice(String nationalstandardprice) {
        this.nationalstandardprice = nationalstandardprice;
    }

    public String getPaytype() {
        return paytype;
    }

    public void setPaytype(String paytype) {
        this.paytype = paytype;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getStationAddr() {
        return stationAddr;
    }

    public void setStationAddr(String stationAddr) {
        this.stationAddr = stationAddr;
    }
}
